# Class OpResult

java.lang.Object
org.apache.zookeeper.OpResult

Direct Known Subclasses:
  `OpResult.CheckResult, OpResult.CreateResult, OpResult.DeleteResult, OpResult.ErrorResult, OpResult.GetChildrenResult, OpResult.GetDataResult, OpResult.SetDataResult`

public abstract class OpResult extends Object
Encodes the result of a single part of a multiple operation commit.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`OpResult.CheckResult`
A result from a version check operation.
`static class`
`OpResult.CreateResult`
A result from a create operation.
`static class`
`OpResult.DeleteResult`
A result from a delete operation.
`static class`
`OpResult.ErrorResult`
An error result from any kind of operation.
`static class`
`OpResult.GetChildrenResult`
A result from a getChildren operation.
`static class`
`OpResult.GetDataResult`
A result from a getData operation.
`static class`
`OpResult.SetDataResult`
A result from a setData operation.

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`
Encodes the return type as from ZooDefs.OpCode.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getType

public int getType()
Encodes the return type as from ZooDefs.OpCode. Can be used to dispatch to the correct cast needed for getting the desired additional result data.

Returns:
  an integer identifying what kind of operation this result came from.
See Also:
  - `ZooDefs.OpCode`